#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './freeverb_setup.ui'
**
** Created: 2013-08-06T18:27:16
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "freeverb_setup.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qframe.h>
#include <qlabel.h>
#include <qlcdnumber.h>
#include <qslider.h>
#include <kpushbutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a Freeverb_Setup as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
Freeverb_Setup::Freeverb_Setup( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "Freeverb_Setup" );
    setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)1, 0, 0, sizePolicy().hasHeightForWidth() ) );
    setMinimumSize( QSize( 360, 300 ) );
    Freeverb_SetupLayout = new QVBoxLayout( this, 11, 6, "Freeverb_SetupLayout"); 
    Freeverb_SetupLayout->setResizeMode( QLayout::Minimum );

    layout6 = new QHBoxLayout( 0, 0, 6, "layout6"); 

    frame_room = new QFrame( this, "frame_room" );
    frame_room->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)3, 0, 0, frame_room->sizePolicy().hasHeightForWidth() ) );
    frame_room->setMinimumSize( QSize( 0, 260 ) );
    frame_room->setFrameShape( QFrame::StyledPanel );
    frame_room->setFrameShadow( QFrame::Raised );
    frame_roomLayout = new QVBoxLayout( frame_room, 11, 6, "frame_roomLayout"); 

    textLabel_room = new QLabel( frame_room, "textLabel_room" );
    textLabel_room->setAlignment( int( QLabel::WordBreak | QLabel::AlignCenter ) );
    frame_roomLayout->addWidget( textLabel_room );

    LCD_room = new QLCDNumber( frame_room, "LCD_room" );
    LCD_room->setEnabled( TRUE );
    LCD_room->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)1, 0, 0, LCD_room->sizePolicy().hasHeightForWidth() ) );
    LCD_room->setPaletteBackgroundColor( QColor( 171, 223, 171 ) );
    LCD_room->setFrameShape( QLCDNumber::Panel );
    LCD_room->setFrameShadow( QLCDNumber::Sunken );
    LCD_room->setLineWidth( 2 );
    LCD_room->setNumDigits( 2 );
    LCD_room->setSegmentStyle( QLCDNumber::Flat );
    frame_roomLayout->addWidget( LCD_room );

    slider_room = new QSlider( frame_room, "slider_room" );
    slider_room->setEnabled( TRUE );
    slider_room->setMinValue( 0 );
    slider_room->setMaxValue( 99 );
    slider_room->setLineStep( 5 );
    slider_room->setValue( 99 );
    slider_room->setOrientation( QSlider::Vertical );
    slider_room->setTickmarks( QSlider::Above );
    frame_roomLayout->addWidget( slider_room );
    layout6->addWidget( frame_room );

    frame_damp = new QFrame( this, "frame_damp" );
    frame_damp->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)3, 0, 0, frame_damp->sizePolicy().hasHeightForWidth() ) );
    frame_damp->setMinimumSize( QSize( 0, 260 ) );
    frame_damp->setFrameShape( QFrame::StyledPanel );
    frame_damp->setFrameShadow( QFrame::Raised );
    frame_dampLayout = new QVBoxLayout( frame_damp, 11, 6, "frame_dampLayout"); 

    textLabel_damp = new QLabel( frame_damp, "textLabel_damp" );
    textLabel_damp->setAlignment( int( QLabel::WordBreak | QLabel::AlignCenter ) );
    frame_dampLayout->addWidget( textLabel_damp );

    LCD_damp = new QLCDNumber( frame_damp, "LCD_damp" );
    LCD_damp->setEnabled( TRUE );
    LCD_damp->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)1, 0, 0, LCD_damp->sizePolicy().hasHeightForWidth() ) );
    LCD_damp->setPaletteBackgroundColor( QColor( 171, 223, 171 ) );
    LCD_damp->setFrameShape( QLCDNumber::Panel );
    LCD_damp->setFrameShadow( QLCDNumber::Sunken );
    LCD_damp->setLineWidth( 2 );
    LCD_damp->setNumDigits( 2 );
    LCD_damp->setSegmentStyle( QLCDNumber::Flat );
    frame_dampLayout->addWidget( LCD_damp );

    slider_damp = new QSlider( frame_damp, "slider_damp" );
    slider_damp->setEnabled( TRUE );
    slider_damp->setLineStep( 5 );
    slider_damp->setValue( 99 );
    slider_damp->setOrientation( QSlider::Vertical );
    slider_damp->setTickmarks( QSlider::Above );
    frame_dampLayout->addWidget( slider_damp );
    layout6->addWidget( frame_damp );

    frame_wet = new QFrame( this, "frame_wet" );
    frame_wet->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)3, 0, 0, frame_wet->sizePolicy().hasHeightForWidth() ) );
    frame_wet->setMinimumSize( QSize( 0, 260 ) );
    frame_wet->setFrameShape( QFrame::StyledPanel );
    frame_wet->setFrameShadow( QFrame::Raised );
    frame_wetLayout = new QVBoxLayout( frame_wet, 11, 6, "frame_wetLayout"); 

    textLabel_wet = new QLabel( frame_wet, "textLabel_wet" );
    textLabel_wet->setAlignment( int( QLabel::WordBreak | QLabel::AlignCenter ) );
    frame_wetLayout->addWidget( textLabel_wet );

    LCD_wet = new QLCDNumber( frame_wet, "LCD_wet" );
    LCD_wet->setEnabled( TRUE );
    LCD_wet->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)1, 0, 0, LCD_wet->sizePolicy().hasHeightForWidth() ) );
    LCD_wet->setPaletteBackgroundColor( QColor( 171, 223, 171 ) );
    LCD_wet->setFrameShape( QLCDNumber::Panel );
    LCD_wet->setFrameShadow( QLCDNumber::Sunken );
    LCD_wet->setLineWidth( 2 );
    LCD_wet->setNumDigits( 2 );
    LCD_wet->setSegmentStyle( QLCDNumber::Flat );
    frame_wetLayout->addWidget( LCD_wet );

    slider_wet = new QSlider( frame_wet, "slider_wet" );
    slider_wet->setEnabled( TRUE );
    slider_wet->setLineStep( 5 );
    slider_wet->setValue( 99 );
    slider_wet->setOrientation( QSlider::Vertical );
    slider_wet->setTickmarks( QSlider::Above );
    frame_wetLayout->addWidget( slider_wet );
    layout6->addWidget( frame_wet );

    frame_dry = new QFrame( this, "frame_dry" );
    frame_dry->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)3, 0, 0, frame_dry->sizePolicy().hasHeightForWidth() ) );
    frame_dry->setMinimumSize( QSize( 0, 260 ) );
    frame_dry->setFrameShape( QFrame::StyledPanel );
    frame_dry->setFrameShadow( QFrame::Raised );
    frame_dryLayout = new QVBoxLayout( frame_dry, 11, 6, "frame_dryLayout"); 

    textLabel_dry = new QLabel( frame_dry, "textLabel_dry" );
    textLabel_dry->setAlignment( int( QLabel::WordBreak | QLabel::AlignCenter ) );
    frame_dryLayout->addWidget( textLabel_dry );

    LCD_dry = new QLCDNumber( frame_dry, "LCD_dry" );
    LCD_dry->setEnabled( TRUE );
    LCD_dry->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)1, 0, 0, LCD_dry->sizePolicy().hasHeightForWidth() ) );
    LCD_dry->setPaletteBackgroundColor( QColor( 171, 223, 171 ) );
    LCD_dry->setFrameShape( QLCDNumber::Panel );
    LCD_dry->setFrameShadow( QLCDNumber::Sunken );
    LCD_dry->setLineWidth( 2 );
    LCD_dry->setNumDigits( 2 );
    LCD_dry->setSegmentStyle( QLCDNumber::Flat );
    frame_dryLayout->addWidget( LCD_dry );

    slider_dry = new QSlider( frame_dry, "slider_dry" );
    slider_dry->setEnabled( TRUE );
    slider_dry->setLineStep( 5 );
    slider_dry->setValue( 99 );
    slider_dry->setOrientation( QSlider::Vertical );
    slider_dry->setTickmarks( QSlider::Above );
    frame_dryLayout->addWidget( slider_dry );
    layout6->addWidget( frame_dry );

    frame_width = new QFrame( this, "frame_width" );
    frame_width->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)3, 0, 0, frame_width->sizePolicy().hasHeightForWidth() ) );
    frame_width->setMinimumSize( QSize( 0, 260 ) );
    frame_width->setFrameShape( QFrame::StyledPanel );
    frame_width->setFrameShadow( QFrame::Raised );
    frame_widthLayout = new QVBoxLayout( frame_width, 11, 6, "frame_widthLayout"); 

    textLabel_width = new QLabel( frame_width, "textLabel_width" );
    textLabel_width->setAlignment( int( QLabel::WordBreak | QLabel::AlignCenter ) );
    frame_widthLayout->addWidget( textLabel_width );

    LCD_width = new QLCDNumber( frame_width, "LCD_width" );
    LCD_width->setEnabled( TRUE );
    LCD_width->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)1, 0, 0, LCD_width->sizePolicy().hasHeightForWidth() ) );
    LCD_width->setPaletteBackgroundColor( QColor( 171, 223, 171 ) );
    LCD_width->setFrameShape( QLCDNumber::Panel );
    LCD_width->setFrameShadow( QLCDNumber::Sunken );
    LCD_width->setLineWidth( 2 );
    LCD_width->setNumDigits( 2 );
    LCD_width->setSegmentStyle( QLCDNumber::Flat );
    frame_widthLayout->addWidget( LCD_width );

    slider_width = new QSlider( frame_width, "slider_width" );
    slider_width->setEnabled( TRUE );
    slider_width->setLineStep( 5 );
    slider_width->setValue( 99 );
    slider_width->setOrientation( QSlider::Vertical );
    slider_width->setTickmarks( QSlider::Above );
    frame_widthLayout->addWidget( slider_width );
    layout6->addWidget( frame_width );
    Freeverb_SetupLayout->addLayout( layout6 );

    line5 = new QFrame( this, "line5" );
    line5->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)0, 0, 0, line5->sizePolicy().hasHeightForWidth() ) );
    line5->setFrameShape( QFrame::HLine );
    line5->setFrameShadow( QFrame::Sunken );
    line5->setFrameShape( QFrame::HLine );
    Freeverb_SetupLayout->addWidget( line5 );

    layout12 = new QHBoxLayout( 0, 0, 6, "layout12"); 
    spacer13 = new QSpacerItem( 180, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout12->addItem( spacer13 );

    OK_Button = new KPushButton( this, "OK_Button" );
    OK_Button->setMinimumSize( QSize( 60, 0 ) );
    OK_Button->setAutoDefault( TRUE );
    layout12->addWidget( OK_Button );
    Freeverb_SetupLayout->addLayout( layout12 );
    languageChange();
    resize( QSize(360, 325).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( slider_room, SIGNAL( valueChanged(int) ), this, SLOT( sliderRoomChanged(int) ) );
    connect( slider_damp, SIGNAL( valueChanged(int) ), this, SLOT( sliderDampChanged(int) ) );
    connect( slider_wet, SIGNAL( valueChanged(int) ), this, SLOT( sliderWetChanged(int) ) );
    connect( slider_dry, SIGNAL( valueChanged(int) ), this, SLOT( sliderDryChanged(int) ) );
    connect( slider_width, SIGNAL( valueChanged(int) ), this, SLOT( sliderWidthChanged(int) ) );
    connect( OK_Button, SIGNAL( clicked() ), this, SLOT( slotOKwasClicked() ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
Freeverb_Setup::~Freeverb_Setup()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void Freeverb_Setup::languageChange()
{
    setCaption( tr2i18n( "FreeVerb" ) );
    textLabel_room->setText( tr2i18n( "<b>Room</b>" ) );
    textLabel_damp->setText( tr2i18n( "<b>Damp</b>" ) );
    textLabel_wet->setText( tr2i18n( "<b>Wet</b>" ) );
    textLabel_dry->setText( tr2i18n( "<b>Dry</b>" ) );
    textLabel_width->setText( tr2i18n( "<b>Width</b>" ) );
    OK_Button->setText( tr2i18n( "&OK" ) );
}

void Freeverb_Setup::sliderRoomChanged(int)
{
    qWarning( "Freeverb_Setup::sliderRoomChanged(int): Not implemented yet" );
}

void Freeverb_Setup::sliderDampChanged(int)
{
    qWarning( "Freeverb_Setup::sliderDampChanged(int): Not implemented yet" );
}

void Freeverb_Setup::sliderWetChanged(int)
{
    qWarning( "Freeverb_Setup::sliderWetChanged(int): Not implemented yet" );
}

void Freeverb_Setup::sliderDryChanged(int)
{
    qWarning( "Freeverb_Setup::sliderDryChanged(int): Not implemented yet" );
}

void Freeverb_Setup::sliderWidthChanged(int)
{
    qWarning( "Freeverb_Setup::sliderWidthChanged(int): Not implemented yet" );
}

void Freeverb_Setup::slotOKwasClicked()
{
    qWarning( "Freeverb_Setup::slotOKwasClicked(): Not implemented yet" );
}

#include "freeverb_setup.moc"
